Storage Policies

POST /storage/policies/add-member

Add a cluster to a storage policy

Attach an existing cluster to a shared storage policy

Status Codes:
POST /storage/policies/create

Create a storage policy

Provision a managed storage policy; 202 with an operation_id (progress over SSE), or 200 pending when its cluster has no host yet

Status Codes:
POST /storage/policies/delete

Delete a storage policy

Deprovision a policy; 202 with an operation_id (progress over SSE), or 200 for a pending policy

Status Codes:
POST /storage/policies/list

List storage policies

Get every storage policy

Status Codes:
POST /storage/policies/provision-pending

Provision a pending storage policy

Retry a pending dedicated policy now; 202 with an operation_id (progress over SSE)

Status Codes:
POST /storage/policies/redistribute-key

Redistribute a storage policy key

Re-push the current key to member hosts that are behind

Status Codes:
POST /storage/policies/register

Register an external storage policy

Adopt an existing storage backend as a policy; 202 with an operation_id (progress over SSE)

Status Codes:
POST /storage/policies/remove-member

Remove a cluster from a storage policy

Detach a cluster from a shared storage policy and rotate its key

Status Codes:
POST /storage/policies/rotate-key

Rotate a storage policy key

Re-mint the policy access key and push it to member hosts

Status Codes: